/**
 * MIL-STD 1553B Library - Carlo Gavazzi Space
 *
 * Filename             : \file MilErr.h
 *
 * Purposes             : \brief MIL-STD 1553B Library - Carlo Gavazzi Space
 *
 * Logical Task         :
 *
 * Author               : CGSpace
 *
 * Last Developer       : $Author: lorenzo $
 *
 * Revision             : $Revision: 1.3
 *
 * Checkout Tag         : $Name: OBS_6_3_3 $
 *
 * Last Modification    : $Date: 2006/10/20 09:22:14 $
 *
 * Location             : $RCSfile: MilErr.h,v $
 *
 * \version             : $Header: /home/local/cvsrep/OBS_FM/1553_Lib/MilErr.h,v 1.10 2006/10/20 09:22:14 lorenzo Exp $
 */
 
/*
 * Commitments History :
 * As reported in Main cvs Documentation
 * ( https://www.cvshome.org/docs/manual/cvs-1.11.18/cvs_12.html#SEC102 )
 * The Modification Log has been posted at End Of File.
 */

// ---------------------------------------------------------------------------//
/*	Milerr.h -  */ 

/*
 Purpose:	The module contains the routine for the dynamic allocation
			of ACE memory
 Content:	The module contains the following functions:
			-

SUBHEADINGS
 Project        : HSO/FIRST BASIC S/W
 Component      : HSO/FIRST DRIVERS S/W
 Filename       : $RCSfile: MilErr.h,v $ 
 CI Number      :

 Revision       : Revision: 1.3
 Company        : Carlo Gavazzi Space S.P.A.
 Author         : Andrea Bertoli
 Creation Date  : 2000/05/15
 Last ChangeDate: $Date: 2006/10/20 09:22:14 $


	
SEE ALSO: 
 ADD Ref: Inserted here reference with Architectural
			Design and Detail Document.
 Other Ref:
 Notes:
*/
/* ERROR TYPE DEFINITIONS AND STRUCTURES ----------------------------------*/

typedef int MilError_t;

/* ERROR CONSTANTS --------------------------------------------------------*/

#define MIL_SUCCESS                  0x00

/* conf module errors */

#define MIL_ERROR_OPENING_FILE       -100
#define MIL_ERROR_UNKNOWN_CARD       -101
#define MIL_ERROR_REGISTERCLIENT     -102
#define MIL_ERROR_ENABLE             -103
#define MIL_ERROR_DISABLE            -104
#define MIL_ERROR_DEREGISTERCLIENT   -105
#define MIL_ERROR_OPEN               -107
#define MIL_ERROR_RESET_ACE          -108
#define MIL_ERROR_NO_MILCONF_CLOSE   -109


/* rt module errors */

#define MIL_ERROR_RT_NOMSG           -110
#define MIL_ERROR_RTDEFMSGILLTYPE    -111
#define MIL_ERROR_RTDEFMSGILLSA      -112
#define MIL_ERROR_RTDEFMSGILLWC      -113
#define MIL_ERROR_INVALIDMODECODE    -114
#define MIL_ERROR_ENHANCEDMODEOFF    -115
#define MIL_ERROR_RTNOTOPENED        -116
#define MIL_ERROR_RTMONNOTOPENED     -117

/* acemem module errors */

#define MIL_ERROR_OUTOFMEMORY        -118
#define MIL_ERROR_BADBLOCK           -119
#define MIL_ERROR_BLOCKTOOSMALL      -200
#define MIL_ERROR_BUFFERTOOSMALL     -201

/* interrupt module errors */

#define MIL_ERROR_INVALIRQ           -202

/* interface module errors */

#define MIL_ERROR_NOTCONFIGURED      -203
#define MIL_ERROR_RAMOUTOFRANGE      -204

#define MIL_BAD_SELECTION			 -205
#define MIL_ERR_INT_STACK_ROLL_OVER  -206
#define MIL_ERR_INT_FORMAT_ERROR	 -207
#define MIL_ERROR_STACK_NOT_READ	 -208
#define MIL_ERROR_SUBADDRES_MSG_NOT_DEFINED -209
#define MIL_ERROR_SA_OVERFLOW			-210
#define MIL_ERROR_TX_RX_BAD_DEFINED		-211
#define MIL_ERROR_MSG_NOT_DEFINED		-212
#define MIL_ERROR_FRAME_NOT_READY		-213
#define MIL_ERROR_BAD_NUMBER_OF_WORDS	-214
#define MIL_ERROR_MSG_ALREADY_DEFINED	-215
#define MIL_ERROR_FRAME_NOT_DEFINED		-216

/*
 * END
 * ERR.H (ERROR CONTROL MODULE)
 */



// ---------------------------------------------------------------------------//
/*
 * modification history
 * --------------------
 * $Log: MilErr.h,v $
 * Revision 1.10  2006/10/20 09:22:14  lorenzo
 * 1553 library updated
 *
 * Revision 1.7  2006/06/07 11:44:55  scige
 * Some More Comment
 * by Scige John Liu IFSI
 *
 * Revision 1.6  2006/04/27 10:21:44  scige
 * Some more Comment alignement before STRONG COMMENTING
 *
 * Revision 1.5  2006/02/15 14:56:56  scige
 * Abstract comment reformatted
 * History log replaced or moved at end of file
 *
 * Revision 1.4  2006/02/15 14:34:03  scige
 * Some more comments restored
 *
 * Revision 1.3  2005/09/16 13:09:39  scige
 * *** empty log message ***
 *
 * Revision 1.1  2005/08/10 12:53:38  scige
 * Communication Library: 1553
 * com1553
 * Base Common Version of Spire/Pacs OBS
 *
 */
