/**
 * com1553 - MIL-1553 Communication Library for Herschel - System Configuration.
 *
 * Filename             : \file conf1553.h
 *
 * Purposes             : \brief [DONE] com1553 - MIL-1553 Communication Library for Herschel - System Configuration.
 *
 * Logical Task         : in Spire - INIT
 *                      : in Pacs  - TBW - TODO
 *                      : in HIFI  - TBW - TODO
 *                      : \ingroup group_COM1553
 *
 * Author               : Scige
 *
 * Last Developer       : $Author: lorenzo $
 *
 * Revision             : $Revision: 1.3
 *
 * Checkout Tag         : $Name: OBS_6_3_3 $
 *
 * Last Modification    : $Date: 2006/10/20 09:22:14 $
 *
 * Location             : $RCSfile: conf1553.h,v $
 *
 * \version             : $Header: /home/local/cvsrep/OBS_FM/1553_Lib/conf1553.h,v 1.10 2006/10/20 09:22:14 lorenzo Exp $
 */

/**
 * Commitments History :
 * As reported in Main cvs Documentation
 * ( https://www.cvshome.org/docs/manual/cvs-1.11.18/cvs_12.html#SEC102 )
 * The Modification Log has been posted at End Of File.
 */

//----------------------------------------------------------------------------//
#ifndef __CONF_1553_H__
#define __CONF_1553_H__

//----------------------------------------------------------------------------//
/// Remote Terminal Address for HIFI
#define HIFI_CODE	16
/// Remote Terminal Address for SPIRE
#define SPIRE_CODE	21
/// Remote Terminal Address for PACS
#define PACS_CODE	25
//----------------------------------------------------------------------------//

//-- Uncomment the define relatively to the actual OBS
// #define OBSCODE HIFI_CODE
#define OBSCODE HIFI_CODE
// #define OBSCODE PACS_CODE

//----------------------------------------------------------------------------//
/**
 *	How to use the #IF statement
 *
 * #if OBSCODE == HIFI_CODE
 *
 * #elif OBSCODE == SPIRE_CODE
 *
 * #elif OBSCODE == PACS_CODE
 *
 * #endif
 *
 */

//======================= Nino's Structure Part 1
#define TM_Seq_count_MASK		0x00003fff
#define TM_PACK_REQUEST_NUM 	0x00000010
#define TM_req_node_LENGHT		0x00000004 // 1+1+2 =	4 word/node

//======================= Nino's Structure Part 2
#define OffSet_MASK 			0x007f	//TBC
#define SA_OffSet_MASK  		0x00000000F

#define MaxPackDPRAM 4 //for commercial version.
#define MaxCmndDPRAM 1 //for commercial version.

#define Packet_counter_MASK 0x000000ff

#define STOP	 0x00000000
#define CONTINUE 0x00000001
#define ISFREE	 0xFFFFFFFF
#define PANIC_NODE_ERROR   0xFFFFFFFF

////////////////////////// Audionica's Structure //////////////////////////////
//======================= Audionica's Structure Part 1

struct	TM_request
{
	int    status;
	struct TM_request * next;
	int tmreq;
	int count;
	int offset[16];
};



//----------------------------------------------------------------------------//
#endif//__CONF_1553_H__
//----------------------------------------------------------------------------//

//----------------------------------------------------------------------------//
/**
 * Commitments History :
 * $Log: conf1553.h,v $
 * Revision 1.10  2006/10/20 09:22:14  lorenzo
 * 1553 library updated
 *
 * Revision 1.10  2006/10/16 14:19:53  scige
 * Some More Comments
 *
 * Revision 1.9  2006/06/07 11:44:56  scige
 * Some More Comment
 * by Scige John Liu IFSI
 *
 * Revision 1.8  2006/02/15 14:56:57  scige
 * Abstract comment reformatted
 * History log replaced or moved at end of file
 *
 * Revision 1.7  2006/02/15 14:34:03  scige
 * Some more comments restored
 *
 * Revision 1.6  2006/02/15 13:06:19  scige
 * Comment Style Restored
 *
 * Revision 1.6  2006/02/10 14:48:44  scige
 * Backup some comment lost and some history log.
 * Introdusing new naming.
 * Introducing new file for a portable inclusion: iext1553.h.
 *
 * Revision 1.2  2006/02/08 15:23:52  scige
 * Better Tag Documentation
 *
 * Revision 1.1  2006/02/08 10:46:30  scige
 * Some minor Refinement
 *
 * Revision 1.1  2006/02/07 14:04:03  scige
 * New Directory Restiling
 *
 * Revision 1.1  2006/02/03 16:31:36  scige
 * Mil1553 Communication Library
 * New Base Commitment
 *
 * Revision 1.3  2005/09/16 13:09:40  scige
 * *** empty log message ***
 *
 * Revision 1.1  2005/08/10 12:53:39  scige
 * Communication Library: 1553
 * com1553
 * Base Common Version of Spire/Pacs OBS
 *
 *
 */

